package com.orbbec.obviewer2.callback;

import com.orbbec.astra.Vector2D;
import com.orbbec.obviewer2.util.FPSMeter;

import java.nio.ByteBuffer;
import java.nio.ShortBuffer;

/**
 * @author tanzhuohui
 * @date 2018/12/25
 */
public interface ViewCallBack {
    void update(int type, int width, int height, ByteBuffer buffer);
    void updateDepth(int width, int height, ShortBuffer buffer);
    void updateBodyData(int index, Vector2D pos, int depth);
    void calculateUpdateData(FPSMeter colorMeter);
    void calculateShowTime();

    void isCameraOpen();
    void CameraOpenFailed();
    void onNoDevice();

    void isExistsColorCamera(int pid);




}
